/**
 * Represents the DocumentWindow's current location. The value MUST be the same as the Location for all views of the document.
 */
var Location = {
}
/**
 * Replace the current document with the one at the provided URL. The difference from the assign() method is that after using replace() the current page will not be saved in session history, meaning the user won't be able to use the Back button to navigate to it.
 * @param {DOMString} url 
 * @returns {undefined} 
 */
Location.prototype.replace = function() {};

/**
 * This attribute represents the port number of the network location.
 * @returns {DOMString} 
 */
Location.prototype.port = new DOMString();

/**
 * Load the document at the provided URL.
 * @param {DOMString} url 
 * @returns {undefined} 
 */
Location.prototype.assign = function() {};

/**
 * This attribute represents the scheme of the URI including the trailing colon (:)
 * @returns {DOMString} 
 */
Location.prototype.protocol = new DOMString();

/**
 * This attribute represents the network host of the Location's URI. If the port attribute is not null then the host attribute's value is the concatenation of the hostname attribute, a colon (:) and the port attribute. If the port attribute is null then the host attribute's value is identical to the hostname attribute.
 * @returns {DOMString} 
 */
Location.prototype.host = new DOMString();

/**
 *     This attribute represents the query portion of a URI. It consists of everything after the pathname up to and excluding the first hash mark (#).
 * @returns {DOMString} 
 */
Location.prototype.search = new DOMString();

/**
 * If the absolute URI reference[RFC2396] for the Location's current location has a fragment identifier[RFC2396], then the value of the hash attribute the value of this attribute MUST be the string concatenation of the hash mark(#) and the fragment identifier. Otherwise, the value of the hash attribute MUST be the empty string.
 * @returns {DOMString} 
 */
Location.prototype.hash = new DOMString();

/**
 * This attribute represents the name or IP address of the network location without any port number.
 * @returns {DOMString} 
 */
Location.prototype.hostname = new DOMString();

/**
 * Returns the string representation of the Location object's URL. See the JavaScript reference for details.
 * @returns {DOMString} 
 */
Location.prototype.toString = function() {};

/**
 * This attribute represents the path component of the Location's URI which consists of everything after the host and port up to and excluding the first question mark (?) or hash mark (#).
 * @returns {DOMString} 
 */
Location.prototype.pathname = new DOMString();

/**
 * Reload the document from the current URL. forceget is a boolean, which, when it is true, causes the page to always be reloaded from the server. If it is false or not specified, the browser may reload the page from its cache.
 * @returns {undefined} 
 */
Location.prototype.reload = function() {};

/**
 * The value of the href attribute MUST be the absolute URI reference that is the Location's current location. When the href attribute is set, the Location's window MUST navigate to the newly set value.
 * @returns {DOMString} 
 */
Location.prototype.href = new DOMString();

/**
 * Represents the Location prototype object.
 * @syntax Location.prototype
 * @static
 */
Location.prototype;

